Your message dated Fri, 11 Nov 2016 22:20:30 -0600
with message-id <20161112042030.kyznsfwpyj5jh...@sumost.ca>
and subject line Re: kipi-plugins: HTML Gallery export fails parsing xml on 
non-UTF8 meta-info in jpeg
has caused the Debian Bug report #407751,
regarding kipi-plugins: HTML Gallery export fails parsing xml on non-UTF8 
meta-info in jpeg
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
407751: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=407751
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Package: kipi-plugins
Version: 0.1.2-3
Severity: normal

When using the kipi-plugin HTML Gallery it fails when one or more jpeg images 
contain non-UTF8 meta-info. The 
meta-info is used in the gallery.xml file in the <description> tags. Xsltproc 
cannot parse this if this is 
non-UTF8. The plugin aborts with the message "Could not load XML file 
/path/gallery.xml".

Command to generate error messages in a terminal:
xsltproc --param i18nNext next --param i18nPrevious previous --param 
i18nCollectionList collection 
simple/template.xsl gallery.xml

Sample error:
gallery.xml:153: parser error : Input is not proper UTF-8, indicate encoding !
Bytes: 0xA8 0x20 0x34 0x2E
   <description>File written by Adobe Photoshop¨ 4.0</description>

This is something for upstream. Either parse the meta-info or perhaps an option 
to ignore the meta-info 
entirely.


-- System Information:
Debian Release: 4.0
  APT prefers testing
  APT policy: (500, 'testing'), (30, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-3
Locale: LANG=en_GB, LC_CTYPE=en_GB (charmap=ISO-8859-1)

Versions of packages kipi-plugins depends on:
ii  kdelibs4c2a         4:3.5.5a.dfsg.1-5    core libraries and binaries for al
ii  libc6               2.3.6.ds1-8          GNU C Library: Shared libraries
ii  libgcc1             1:4.1.1-19           GCC support library
ii  libgl1-mesa-glx [li 6.5.1-0.4            A free implementation of the OpenG
ii  libgphoto2-2        2.2.1-12             gphoto2 digital camera library
ii  libgphoto2-port0    2.2.1-12             gphoto2 digital camera port librar
ii  libimlib2           1.3.0.0debian1-4     powerful image loading and renderi
ii  libjpeg62           6b-13                The Independent JPEG Group's JPEG 
ii  libkexif1           0.2.3-2              library for KDE to read/display/ed
ii  libkipi0            0.1.4-1              library for apps that want to use 
ii  libmagick++9c2a     7:6.2.4.5.dfsg1-0.13 The object-oriented C++ API to the
ii  libpng12-0          1.2.15~beta5-1       PNG library - runtime
ii  libqt3-mt           3:3.3.7-2            Qt GUI Library (Threaded runtime v
ii  libstdc++6          4.1.1-19             The GNU Standard C++ Library v3
ii  libtiff4            3.8.2-7              Tag Image File Format (TIFF) libra
ii  libx11-6            2:1.0.3-4            X11 client-side library
ii  libxml2             2.6.27.dfsg-1        GNOME XML library
ii  libxslt1.1          1.1.19-1             XSLT processing library - runtime 

Versions of packages kipi-plugins recommends:
pn  dcraw               <none>               (no description available)
ii  imagemagick         7:6.2.4.5.dfsg1-0.13 Image manipulation programs
ii  k3b                 0.12.17-8            A sophisticated KDE CD burning app
ii  kdeprint            4:3.5.5a.dfsg.1-5    print system for KDE
pn  kmail               <none>               (no description available)
ii  konqueror           4:3.5.5a.dfsg.1-5    KDE's advanced file manager, web b
pn  kooka               <none>               (no description available)
pn  sane-utils          <none>               (no description available)

-- no debconf information


--- End Message ---
--- Begin Message ---
On Sun, Jan 21, 2007 at 12:29:33AM +0100, Nieko Woets wrote:
> Package: kipi-plugins
> Version: 0.1.2-3
> Severity: normal
> 
> When using the kipi-plugin HTML Gallery it fails

Closing since the HTML export is no longer part of Digikam / KIPI.

-Steve

Attachment: signature.asc
Description: PGP signature


--- End Message ---
_______________________________________________
pkg-kde-extras mailing list
pkg-kde-extras@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-kde-extras

Reply via email to